Linux Users: run JDK 5.0!